import random

f = open("emo.txt")
l = f.readlines()
emos = [ e.strip() for e in l if e[0].isalpha()]
prevemo = ''
firstemo = ''
f = open("text.txt")
text = f.read()
dic = {}


# Read the text into memory.
for word in text.split():

	if word not in emos: continue

	if prevemo != '': # doesn't occur the first time
		dic[prevemo].append(word) # write current word under previous word in dic
	else:
		firstemo = word

	if word not in dic: 
		dic[word] = [] # create word in dic
	
	prevemo = word # remember previous word to write next word under current word

else: # Looped through entirely
	dic[prevemo].append("EOF;") # Add end marker to last word

print dic



# Don't use recursion
def readrandloop():
	
	if not firstemo: return False
	
	emo = firstemo
	while (emo != "EOF;"):
		print emo,
		ind = random.randrange(len(dic[emo])) # Get index for new random word
		emo = dic[emo][ind]	

readrandloop()
